> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.propexo.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.propexo.com/_mcp/server.

# Create a recurring resident charge

POST https://api.propexo.com/v1/recurring-resident-charges/
Content-Type: application/json

Create a recurring resident charge for an integration.

Reference: https://docs.propexo.com/api-reference/pms-generic-ap-is/billing-and-payments/create-a-recurring-resident-charge

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Servers

- `https://api.propexo.com` (Production, default)
- `https://api.sandbox.propexo.com` (Sandbox)

## Request

### Body (application/json)

This endpoint expects a _v1_recurring-resident-charges__post_input.

- `integration_id` (string, required)
- `lease_id` (string, optional) — The Propexo unique identifier for the lease
- `resident_id` (string, optional) — The Propexo unique identifier for the resident
- `charge_code_id` (string, optional) — The Propexo unique identifier for the charge code
- `amount_in_cents` (integer, optional) — The amount of the recurring resident charge, in cents
- `start_date` (V1RecurringResidentChargesPostInputStartDate, optional) — The start date associated with the recurring resident charge
- `description` (string, optional) — Description of the recurring resident charge
- `end_date` (V1RecurringResidentChargesPostInputEndDate, optional) — The end date associated with the recurring resident charge
- `month_to_month_amount_in_cents` (integer, optional) — The month-to-month amount for the recurring charge in cents
- `month_to_month_fee_in_cents` (integer, optional) — The month-to-month fee for the recurring charge in cents
- `last_posted_date` (V1RecurringResidentChargesPostInputLastPostedDate, optional) — The last date the charge was posted. Format will be converted to MM/DD/YYYY for Entrata
- `charge_timing_id` (string, optional) — The propexo charge timing ID that defines when the charge should be applied
- `charge_code_type_id` (string, optional) — The propexo charge code type ID
- `financial_account_id` (string, optional) — The Propexo unique identifier for the financial account
- `is_active` (boolean, optional) — Whether the recurring resident charge is active
- `charge_due_day` (integer, optional) — The day of the month the charge is due. When frequency_normalized is set to 'WEEKLY', the charge_due_day must be between 1 and 7
- `frequency_normalized` (enum, optional) — The frequency of the recurring resident charge
  - Allowed values: `DAILY`, `MONTHLY`, `WEEKLY`
- `reference_number` (string, optional) — The reference number for the recurring resident charge
- `day_due` (integer, optional) — The day of the month the charge is due
- `frequency_raw` (integer, optional) — The raw value of the frequency of the recurring resident charge (in months)

## Response

### 200

Successful response

- `job_id` (string, required) — The ID of the job created to handle this operation
- `data` (V1RecurringResidentChargesPostOutputData, required)

## Errors

### 400 Bad Request Error

Bad Request

- `error` (ErrorResponseError, required)

## Types

### V1RecurringResidentChargesPostInputStartDate

The start date associated with the recurring resident charge

### V1RecurringResidentChargesPostInputEndDate

The end date associated with the recurring resident charge

### V1RecurringResidentChargesPostInputLastPostedDate

The last date the charge was posted. Format will be converted to MM/DD/YYYY for Entrata

### V1RecurringResidentChargesPostOutputData

### ErrorResponseError

- `code` (string, required)
- `message` (string, required)
- `details` (map from string to any, optional)

## Examples

**Request**

```json
{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}
```

**Response**

```json
{
  "job_id": "job_123e4567-e89b-12d3-a456-426614174000",
  "data": {}
}
```

**SDK Code**

```python
import requests

url = "https://api.propexo.com/v1/recurring-resident-charges/"

payload = { "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.propexo.com/v1/recurring-resident-charges/';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"integration_id":"intg_9f8b7c6d5e4a3b2c1d0e"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.propexo.com/v1/recurring-resident-charges/"

	payload := strings.NewReader("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.propexo.com/v1/recurring-resident-charges/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.propexo.com/v1/recurring-resident-charges/")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.propexo.com/v1/recurring-resident-charges/', [
  'body' => '{
  "integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.propexo.com/v1/recurring-resident-charges/");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"integration_id\": \"intg_9f8b7c6d5e4a3b2c1d0e\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["integration_id": "intg_9f8b7c6d5e4a3b2c1d0e"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.propexo.com/v1/recurring-resident-charges/")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```